Bug 91930 - Program with GtkGLArea widget does not redraw
Summary: Program with GtkGLArea widget does not redraw
Status: NEW
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-09 04:07 UTC by pavol
Modified: 2015-10-16 22:21 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pavol 2015-09-09 04:07:52 UTC
If the program contains GtkGLArea widget then whole window does not redraw upon an action (dragging sliders), and redraw can be done by alt-tabing or swapping workspaces.

This example app shows the defect.
https://github.com/ebassi/glarea-example
Comment 1 pavol 2015-09-09 04:10:15 UTC
Gtk+ version is 3.16.6.
Comment 2 pavol 2015-09-09 22:21:16 UTC
The bug is not present on mesa 10.5.8 and is present >10.6.3
Comment 3 pavol 2015-09-09 23:46:02 UTC
I cant compile older version because of c61bc6ed844b39e600cc64e3e552c7bf1894d7ba. This one also crashes with software rendering.
Comment 4 Michel Dänzer 2015-09-10 02:38:59 UTC
(In reply to pavol from comment #2)
> The bug is not present on mesa 10.5.8 and is present >10.6.3

Can you bisect Mesa?

(In reply to pavol from comment #3)
> I cant compile older version because of
> c61bc6ed844b39e600cc64e3e552c7bf1894d7ba. This one also crashes with
> software rendering.

When crossing that commit, you can either fix up src/util/.deps/libmesautil_la-strtod.Plo manually or clean all build output and build from scratch.
Comment 5 pavol 2015-09-10 04:42:35 UTC
This commit fixes crashes during software rendering.

http://cgit.freedesktop.org/mesa/mesa/commit/?id=d082c5324914212f76e45be497229c7a0681f706
Comment 6 pavol 2015-09-10 19:39:47 UTC
I started bisect at commit f5c110199675b7f4c50d4a7a64b6aac44c55d0a4, where it kind of works, i.e. does not crash, but the widgets start to appear only after redraw (mouse hover or slider moved).

And this is the culprit which makes it segfault (i.e. from kind of working as above to not working and then it was "fixed" where it does not segfault but does not redraw either).

6b284f08ab399154ad10e2166440b44cbbdcb2c5
Comment 7 Ian Brunelli 2015-10-10 20:23:09 UTC
The update to mesa 11.0.3 fixed this issue for me.

Anyone else can confirm that this is fixed?
Comment 8 pavol 2015-10-11 01:17:28 UTC
R600 works, llvmpipe does not (draws now, however some parts are black at the start and drawn only when mouse goes over it).
Comment 9 Hugues Ross 2015-10-16 22:18:22 UTC
(In reply to Ian Brunelli from comment #7)
> The update to mesa 11.0.3 fixed this issue for me.
> 
> Anyone else can confirm that this is fixed?

The update seems to have fixed the issue for me as well.
Comment 10 pavol 2015-10-16 22:21:57 UTC
(In reply to Hugues Ross from comment #9)
> (In reply to Ian Brunelli from comment #7)
> > The update to mesa 11.0.3 fixed this issue for me.
> > 
> > Anyone else can confirm that this is fixed?
> 
> The update seems to have fixed the issue for me as well.

Can you test with LIBGL_ALWAYS_SOFTWARE=on ? Because I am getting black widget before I hover over them.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.